package com.chinaitop.depot.intelligent.supervise.service;

import com.chinaitop.depot.intelligent.supervise.model.TDepotStyle;
import com.chinaitop.depot.intelligent.supervise.model.TDepotStyleExample;

import java.util.List;
import java.util.Map;

/**
 * @auther mafy
 * @createtime 2017/10/28 0028
 */

public interface depotStyleService {

    /**
     * 添加点图数据
     * @return
     */
    void addPoint(TDepotStyle depotStyle);

    /**
     * 删除点图数据
     * @return
     */
    void deletePoint(TDepotStyle style);

    /**
     * 查询点图数据
     * @return
     */
    List<TDepotStyle> selectPoint(TDepotStyleExample example);

    /**
     * 粮情监测
     * @return
     */
    List<Map<String,Object>> getGrainsituation(Map<String, Object> map);

    /**
     * 气体监测
     * @return
     */
    List<Map<String,Object>> getQT(Map<String, Object> map);
    /**
     * 虫害监测
     * @return
     */
    List<Map<String,Object>> getInsect(Map<String, Object> map);
    /**
     * 报警信息
     * @return
     */
    List<Map<String,Object>> getWarning(Map<String, Object> map);


}
